<?php

namespace Lavalite\Product\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProductTransformer extends TransformerAbstract
{
    public function transform(\Lavalite\Product\Models\Product $product)
    {
        return [
            'id'                => $product->getRouteKey(),
            'key'               => [
                'public'    => $product->getPublicKey(),
                'route'     => $product->getRouteKey(),
            ], 
            'id'                => $product->id,
            'user_id'           => $product->user_id,
            'user_type'         => $product->user_type,
            'name'              => $product->name,
            'title'             => $product->title,
            'slug'              => $product->slug,
            'subtitle'          => $product->subtitle,
            'description'       => $product->description,
            'meta_title'        => $product->meta_title,
            'meta_description'  => $product->meta_description,
            'meta_tags'         => $product->meta_tags,
            'meta_subtitle'     => $product->meta_subtitle,
            'highlights'        => $product->highlights,
            'images'            => $product->images,
            'demo_screenshots'  => $product->demo_screenshots,
            'published'         => $product->published,
            'status'            => $product->status,
            'created_at'        => $product->created_at,
            'updated_at'        => $product->updated_at,
            'deleted_at'        => $product->deleted_at,
            'url'               => [
                'public'    => trans_url('product/'.$product->getPublicKey()),
                'user'      => guard_url('product/product/'.$product->getRouteKey()),
            ], 
            'status'            => trans('app.'.$product->status),
            'created_at'        => format_date($product->created_at),
            'updated_at'        => format_date($product->updated_at),
        ];
    }
}